<template>
  <div class="main">
    <div class="main_tabs">
      <el-tabs v-model="activeName">
        <el-tab-pane label="特种设备" name="first"></el-tab-pane>
        <el-tab-pane label="一般设备" name="second"></el-tab-pane>
      </el-tabs>
    </div>
    <div class="main_content">
      <component :is="activeName === 'first' ? 'SpecialEquipment' : 'GeneralEquipment'"></component>
    </div>
  </div>
</template>

<script>
import SpecialEquipment from './components/SpecialEquipment.vue';
import GeneralEquipment from './components/GeneralEquipment.vue';
  export default {
    components: {
      SpecialEquipment,
      GeneralEquipment
    },
    data() {
      return {
        activeName: 'first'
      }
    }
  }
</script>

<style lang="scss" scoped>
@import '../../../style/layout-main.scss';

/deep/.main {
  background: none;
}
</style>